#!/bin/sh

# rd2 -r rd/rd2man-lib.rb  -o foo foo.rd
rd2 -r rd/rd2html-lib.rb -o foo foo.rd

cp -a foo.pot foo.pot.bak
po4a-gettextize -f rd -m foo.rd \
  --msgid-bugs-address invernomuto@paranoici.org \
  --copyright-holder "Francesco Poli" \
  --package-name foobarpkg --package-version 0.1 \
  -p foo.pot

if test -r doc.it.po
then
    cp -a doc.it.po doc.it.po.bak
    po4a-updatepo -f rd -m foo.rd -p doc.it.po
else
    cp -a foo.pot doc.it.po
fi
vim doc.it.po

cp -a it/foo.rd it/foo.rd.bak
po4a-translate -f rd -m foo.rd -p doc.it.po -l it/foo.rd
# rd2 -r rd/rd2man-lib.rb  -o it/foo it/foo.rd
rd2 -r rd/rd2html-lib.rb -o it/foo it/foo.rd
